@tailwind base;
@tailwind components;
@tailwind utilities;

*{
    box-sizing: border-box;
}

html,
body{
    padding: 0;
    margin: 0;
    scroll-behavior: smooth
}

body{
    background-color: #000;
    color: #fff;
    font-family: 'Nunito', sans-serif;
}

::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}

.spinner-wrapper {
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    background-color: rgb(23, 23, 23);
  }
  
  .spinner {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    height:60px;
    width:60px;
    margin:0px auto;
    -webkit-animation: rotation .6s infinite linear;
    -moz-animation: rotation .6s infinite linear;
    -o-animation: rotation .6s infinite linear;
    animation: rotation .6s infinite linear;
    border-left:6px solid rgba(192, 132, 252,.15);
    border-right:6px solid rgba(192, 132, 252,.15);
    border-bottom:6px solid rgba(192, 132, 252,.15);
    border-top:6px solid rgba(192, 132, 252,.8);
    border-radius:100%;
  }
  
  @-webkit-keyframes rotation {
    from {-webkit-transform: rotate(0deg);}
    to {-webkit-transform: rotate(359deg);}
  }
  @-moz-keyframes rotation {
    from {-moz-transform: rotate(0deg);}
    to {-moz-transform: rotate(359deg);}
  }
  @-o-keyframes rotation {
    from {-o-transform: rotate(0deg);}
    to {-o-transform: rotate(359deg);}
  }
  @keyframes rotation {
    from {transform: rotate(0deg);}
    to {transform: rotate(359deg);}
  }